/// <reference path="../../vscode/src/vscode-dts/vscode.d.ts" />
/// <reference path="../../vscode/src/vscode-dts/vscode.proposed.resolvers.d.ts" />
/// <reference path="../../vscode/src/vscode-dts/vscode.proposed.workspaceTrust.d.ts" />
import { Emitter } from "vscode-languageserver-protocol";
import { URI, Utils } from "vscode-uri";
import { TSLanguageServiceDelegate } from "../languageService";
import { TSLanguageServiceOptions } from "../types";
import { CommandsShimService } from "./commands";
import { ConfigurationShimService } from "./configuration";
import { DiagnosticsShimService } from "./diagnostics";
import { LanguageFeaturesShimService } from "./languageFeatures";
import { WindowShimService } from "./window";
import { WorkspaceShimService } from "./workspace";
export declare let languages: typeof import("vscode").languages;
export declare let commands: typeof import("vscode").commands;
export declare let l10n: typeof import("vscode").l10n;
export declare let extensions: typeof import("vscode").extensions;
export declare let window: typeof import("vscode").window;
export declare let env: typeof import("vscode").env;
export declare let workspace: typeof import("vscode").workspace;
export { CancellationTokenSource } from "vscode-languageserver-protocol";
export * from "./types";
export declare const EventEmitter: typeof Emitter;
export declare const Uri: typeof URI & typeof Utils;
export declare function initializeShimServices(initOptions: TSLanguageServiceOptions, delegate: TSLanguageServiceDelegate): {
    configurationService: ConfigurationShimService;
    workspaceService: WorkspaceShimService;
    commandsService: CommandsShimService;
    diagnosticsSerivce: DiagnosticsShimService;
    languageFeaturesService: LanguageFeaturesShimService;
    windowService: WindowShimService;
    context: import("vscode").ExtensionContext;
    l10n: typeof import("vscode").l10n;
    extensions: typeof import("vscode").extensions;
    env: typeof import("vscode").env;
};
