import * as vscode from 'vscode';
import type * as Proto from '../../protocol';
import { CachedResponse } from '../../tsServer/cachedResponse';
import { ITypeScriptServiceClient } from '../../typescriptService';
import { DocumentSelector } from '../../utils/documentSelector';
import { LanguageDescription } from '../../utils/languageDescription';
import { ReferencesCodeLens, TypeScriptBaseCodeLensProvider } from './baseCodeLensProvider';
export default class TypeScriptImplementationsCodeLensProvider extends TypeScriptBaseCodeLensProvider {
    resolveCodeLens(codeLens: ReferencesCodeLens, token: vscode.CancellationToken): Promise<vscode.CodeLens>;
    private getCommand;
    private getTitle;
    protected extractSymbol(document: vscode.TextDocument, item: Proto.NavigationTree, _parent: Proto.NavigationTree | undefined): vscode.Range | undefined;
}
export declare function register(selector: DocumentSelector, language: LanguageDescription, client: ITypeScriptServiceClient, cachedResponse: CachedResponse<Proto.NavTreeResponse>): vscode.Disposable;
