import * as vscode from 'vscode';
import { Disposable } from '../utils/dispose';
import { DiagnosticLanguage } from '../utils/languageDescription';
export declare const enum DiagnosticKind {
    Syntax = 0,
    Semantic = 1,
    Suggestion = 2
}
export declare class DiagnosticsManager extends Disposable {
    private readonly _diagnostics;
    private readonly _settings;
    private readonly _currentDiagnostics;
    private readonly _pendingUpdates;
    private readonly _updateDelay;
    constructor(owner: string, onCaseInsensitiveFileSystem: boolean);
    dispose(): void;
    reInitialize(): void;
    setValidate(language: DiagnosticLanguage, value: boolean): void;
    setEnableSuggestions(language: DiagnosticLanguage, value: boolean): void;
    updateDiagnostics(file: vscode.Uri, language: DiagnosticLanguage, kind: DiagnosticKind, diagnostics: ReadonlyArray<vscode.Diagnostic>): void;
    configFileDiagnosticsReceived(file: vscode.Uri, diagnostics: ReadonlyArray<vscode.Diagnostic>): void;
    deleteAllDiagnosticsInFile(resource: vscode.Uri): void;
    deleteDiagnostic(resource: vscode.Uri, diagnostic: vscode.Diagnostic): void;
    getDiagnostics(file: vscode.Uri): ReadonlyArray<vscode.Diagnostic>;
    private scheduleDiagnosticsUpdate;
    private updateCurrentDiagnostics;
    private rebuildAll;
    private rebuildFile;
}
