import * as vscode from 'vscode';
import { CommandManager } from '../commands/commandManager';
import type * as Proto from '../protocol';
import { ITypeScriptServiceClient } from '../typescriptService';
import { DocumentSelector } from '../utils/documentSelector';
import { TelemetryReporter } from '../utils/telemetry';
import FormattingOptionsManager from './fileConfigurationManager';
interface CodeActionKind {
    readonly kind: vscode.CodeActionKind;
    matches(refactor: Proto.RefactorActionInfo): boolean;
}
export declare const allKnownCodeActionKinds: Readonly<CodeActionKind>[];
export declare function register(selector: DocumentSelector, client: ITypeScriptServiceClient, formattingOptionsManager: FormattingOptionsManager, commandManager: CommandManager, telemetryReporter: TelemetryReporter): vscode.Disposable;
export {};
