import { OngoingRequestCancellerFactory } from '../tsServer/cancellation';
import { ClientCapabilities } from '../typescriptService';
import { TypeScriptServiceConfiguration } from '../utils/configuration';
import { Logger } from '../utils/logger';
import { TypeScriptPluginPathsProvider } from '../utils/pluginPathsProvider';
import { PluginManager } from '../utils/plugins';
import { TelemetryReporter } from '../utils/telemetry';
import Tracer from '../utils/tracer';
import { ILogDirectoryProvider } from './logDirectoryProvider';
import { ITypeScriptServer, TsServerDelegate, TsServerProcessFactory } from './server';
import { TypeScriptVersionManager } from './versionManager';
import { ITypeScriptVersionProvider, TypeScriptVersion } from './versionProvider';
export declare class TypeScriptServerSpawner {
    private readonly _versionProvider;
    private readonly _versionManager;
    private readonly _logDirectoryProvider;
    private readonly _pluginPathsProvider;
    private readonly _logger;
    private readonly _telemetryReporter;
    private readonly _tracer;
    private readonly _factory;
    constructor(_versionProvider: ITypeScriptVersionProvider, _versionManager: TypeScriptVersionManager, _logDirectoryProvider: ILogDirectoryProvider, _pluginPathsProvider: TypeScriptPluginPathsProvider, _logger: Logger, _telemetryReporter: TelemetryReporter, _tracer: Tracer, _factory: TsServerProcessFactory);
    spawn(version: TypeScriptVersion, capabilities: ClientCapabilities, configuration: TypeScriptServiceConfiguration, pluginManager: PluginManager, cancellerFactory: OngoingRequestCancellerFactory, delegate: TsServerDelegate): ITypeScriptServer;
    private getCompositeServerType;
    private shouldUseSeparateDiagnosticsServer;
    private spawnTsServer;
    private kindToServerType;
    private getTsServerArgs;
    private static isLoggingEnabled;
    private static getTsLocale;
}
