import type * as Proto from '../protocol';
import { Logger } from './logger';
interface RequestExecutionMetadata {
    readonly queuingStartTime: number;
}
export default class Tracer {
    private readonly logger;
    private trace?;
    constructor(logger: Logger);
    updateConfiguration(): void;
    private static readTrace;
    traceRequest(serverId: string, request: Proto.Request, responseExpected: boolean, queueLength: number): void;
    traceResponse(serverId: string, response: Proto.Response, meta: RequestExecutionMetadata): void;
    traceRequestCompleted(serverId: string, command: string, request_seq: number, meta: RequestExecutionMetadata): any;
    traceEvent(serverId: string, event: Proto.Event): void;
    logTrace(serverId: string, message: string, data?: any): void;
}
export {};
