import * as vscode from "vscode";
import * as lsp from "vscode-languageserver-protocol";
import { TextDocument } from "vscode-languageserver-textdocument";
export declare class TSLspConverter {
    private readonly clientCapabilities;
    constructor(clientCapabilities: lsp.ClientCapabilities);
    static convertTextEdit(edit: vscode.TextEdit): lsp.TextEdit;
    static convertPosition(pos: vscode.Position): lsp.Position;
    static convertRange(range: vscode.Range): lsp.Range;
    convertWorkspaceEdit: (edit: vscode.WorkspaceEdit) => lsp.WorkspaceEdit;
    convertTextDocuemntFromLsp: (textDocument: TextDocument) => vscode.TextDocument;
    convertCompletionItem: (item: vscode.CompletionItem, data?: any) => lsp.CompletionItem;
    convertLocation: <T extends vscode.Location | vscode.LocationLink>(location: T) => T extends vscode.Location ? lsp.Location : lsp.LocationLink;
    convertLocations: <T extends vscode.Location | vscode.Location[] | vscode.LocationLink[]>(location: T) => T extends vscode.Location ? lsp.Location : T extends vscode.Location[] ? lsp.Location[] : T extends vscode.LocationLink ? lsp.LocationLink[] : never;
    convertDiagnosticFromLsp: (diagnostic: lsp.Diagnostic) => vscode.Diagnostic;
    convertDiagnosticToLsp: (diagnostic: vscode.Diagnostic) => lsp.Diagnostic;
    convertCodeAction: (action: vscode.Command | vscode.CodeAction, data?: any) => lsp.Command | lsp.CodeAction;
    convertHover: (hover: vscode.Hover) => lsp.Hover;
    convertSymbol: <T extends vscode.SymbolInformation | vscode.DocumentSymbol>(symbol: T) => T extends vscode.SymbolInformation ? lsp.SymbolInformation : lsp.DocumentSymbol;
    convertMarkupfromLsp: (doc: string | lsp.MarkupContent) => string | vscode.MarkdownString;
    convertMarkupToLsp: (doc: string | vscode.MarkdownString) => string | lsp.MarkupContent | undefined;
    convertSignatureInfoFromLsp: (info: lsp.SignatureInformation) => vscode.SignatureInformation;
    convertSignatureInfoToLsp: (info: vscode.SignatureInformation) => lsp.SignatureInformation;
    convertCallHierarcgyItem: (item: vscode.CallHierarchyItem, data?: any) => lsp.CallHierarchyItem;
    convertInlayHint: (hint: vscode.InlayHint) => lsp.InlayHint;
    convertIncomingCall: (item: vscode.CallHierarchyIncomingCall) => lsp.CallHierarchyIncomingCall;
    convertOutgoingCall: (item: vscode.CallHierarchyOutgoingCall) => lsp.CallHierarchyOutgoingCall;
    convertFoldingRange: (range: vscode.FoldingRange) => lsp.FoldingRange;
    convertSelectionRange: (range: vscode.SelectionRange) => lsp.SelectionRange;
    convertCodeLens: (lens: vscode.CodeLens, data?: any) => lsp.CodeLens;
    convertSemanticTokens: (tokens: vscode.SemanticTokens) => lsp.SemanticTokens;
}
